snd_ctl_remove
Prev | Chapter 22. Sound Devices | Next

## Name

snd_ctl_remove — remove the control from the card and release it

## Synopsis

`int snd_ctl_remove (` | struct snd_card * | card,
| struct snd_kcontrol * | kcontrol`)`;

## Arguments

`card`

  the card instance

`kcontrol`

  the control instance to remove

## Description

Removes the control from the card and then releases the instance. You don't need to call `snd_ctl_free_one`. You must be in the write lock - down_write(card->controls_rwsem).

Returns 0 if successful, or a negative error code on failure.

Prev | Up | Next
snd_ctl_add | Home | snd_ctl_remove_id